/* 
* Copyright 2016 Agencia Estatal de Administración Tibutaria
*
* Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto
* sean aprobadas por la Comisión Europea– versiones
* posteriores de la EUPL (la «Licencia»);
* Solo podrá usarse esta obra si se respeta la Licencia.
* Puede obtenerse una copia de la Licencia en:
*  
* https://joinup.ec.europa.eu/software/page/eupl
*  
* Salvo cuando lo exija la legislación aplicable o se acuerde
* por escrito, el programa distribuido con arreglo a la
* Licencia se distribuye «TAL CUAL», SIN GARANTÍAS NI CONDICIONES
* DE NINGÚN TIPO, ni expresasni implícitas.
*
* Véase la Licencia en el idioma concreto que rige los permisos y 
* limitaciones que establece la Licencia.
*/ 

package servidor.utiles;

import java.util.*;

public class ListaTickets {

   TreeMap<String, String> lista;

   public ListaTickets() {
      lista = new TreeMap<>();
   }

   public void put(String ticket) {
      String[] p = Global.split(ticket, '-');
      if(p.length > 1) {
         lista.put(p[0], p[1]);
      }
   }

   public String generarDatosParaMostrar() {
      StringBuilder sb = new StringBuilder();
      for (String k : lista.keySet()) {
         sb.append(k).append("-").append(lista.get(k)).append("=");
      }
      if (sb.length() > 1) {
         sb.setLength(sb.length() - 1);
      }
      return sb.toString();
   }
}
